# ReliabilityLayer.h File Reference

Provide Reliability Communication. More...

`#include "MTUSize.h"`
`#include "LinkedList.h"`
`#include "ArrayList.h"`
`#include "SocketLayer.h"`
`#include "PacketPriority.h"`
`#include "Queue.h"`
`#include "BitStream.h"`
`#include "SimpleMutex.h"`
`#include "InternalPacket.h"`
`#include "InternalPacketPool.h"`
`#include "DataBlockEncryptor.h"`
`#include "RakNetStatistics.h"`

## Defines

#define | UDP_HEADER_SIZE 28
#define | NUMBER_OF_ORDERED_STREAMS 32

## Variables

const unsigned long | TIMEOUT_TIME = 10000
const int | MAX_AVERAGE_PACKETS_PER_SECOND = 6553
const int | RECEIVED_PACKET_LOG_LENGTH = ( TIMEOUT_TIME / 1000 ) * MAX_AVERAGE_PACKETS_PER_SECOND

## Detailed Description

Provide Reliability Communication.

This file is part of RakNet Copyright 2003, 2004 Rakkarsoft LLC and Kevin Jenkins.

Usage of Raknet is subject to the appropriate licence agreement. "Shareware" Licensees with Rakkarsoft LLC are subject to the shareware license found at http://www.rakkarsoft.com/shareWareLicense.html which you agreed to upon purchase of a "Shareware license" "Commercial" Licensees with Rakkarsoft LLC are subject to the commercial license found at http://www.rakkarsoft.com/sourceCodeLicense.html which you agreed to upon purchase of a "Commercial license" All other users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Refer to the appropriate license agreement for distribution, modification, and warranty rights.

## Define Documentation

#define NUMBER_OF_ORDERED_STREAMS 32

| Number of ordered streams available. You can use up to 32 ordered streams

#define UDP_HEADER_SIZE 28

| Sizeof an UDP header in byte

## Variable Documentation

const int MAX_AVERAGE_PACKETS_PER_SECOND = 6553

If you change MAX_AVERAGE_PACKETS_PER_SECOND or TIMEOUT_TIME, you must make sure RECEIVED_PACKET_LOG_LENGTH < the range of PacketNumberType (held in InternalPacket.h) 6553.5 is the maximum for an unsigned short

Attention:
  take in account the value of RECEIVED_PACKET_LOG_LENGTH when changing this!

const int RECEIVED_PACKET_LOG_LENGTH = ( TIMEOUT_TIME / 1000 ) * MAX_AVERAGE_PACKETS_PER_SECOND

| This value must be less than the range of PacketNumberType. PacketNumberType is in InternalPacket.h

const unsigned long TIMEOUT_TIME = 10000

| Timeout before killing a connection. If no response to a reliable packet for this long kill the connection